<div class="image_container">
  <div *ngIf="data.type == 'profile'">
    <img [src]="data.event" alt="Customers profile pic">
  </div>

  <div *ngIf="data.type == 'driver'">
    <div class="col-md-8">
      <img matTooltip="Click to rotate" [@rotatedState]='state' class="image" [src]="data.event" alt="Customers profile pic" (click)="rotate()">
      <br/>
    </div>
    <form class="col-md-4" #signup="ngForm" style="overflow: scroll; height: 600px;" (ngSubmit)="submitDriverForm(signup.value)">
      <div class="box-input row">
        <label>Name</label>
        <input type="text" class="form-control" name="name" [ngModel]="extDriver.first_name+' '+extDriver.last_name"
          readOnly ngModel />
      </div>
      <div class="box-input row">
        <label>Display name <span class="erro-msg">*</span></label>
        <input type="text" class="form-control" name="display_name"
          [ngModel]="extDriver.display_name" ngModel />
      </div>
      <div class="box-input row">
        <label>Nationality <span class="erro-msg">*</span></label>
        <select class="form-control" name="nationality" [(ngModel)]="extDriver.nationality" ngModel>
          <option *ngFor="let country of country_list" [value]=country>{{country}}</option>
        </select>
      </div>
      <div class="box-input row">
        <label>Birth date <span class="erro-msg">*</span></label>
        <div class="dt-filter">
          <input type="text" class="form-control" [owlDateTime]="dt" [ngModel]="extDriver.birth_date" name="birth_date"
            [max]="max" [owlDateTimeTrigger]="dt" ngModel readonly />
          <owl-date-time #dt></owl-date-time>
        </div>
      </div>
      <div class="box-input row mt-3">
        <label>Licence number <span class="erro-msg">*</span></label>
        <input type="text" class="form-control" autocomplete="new-username"
          [(ngModel)]="extDriver.driver_licence_number" name="licence_number" pattern="[0-9]+([.][0-9]+)?" ngModel />
        <div class="error-msg"
          *ngIf="signup.controls['licence_number'] && signup.controls['licence_number'].invalid && (signup.controls['licence_number'].touched || signup.controls['licence_number'].dirty)">
          <div [hidden]="!signup.controls['licence_number'].errors.pattern">
            Licence number should be a number.
          </div>
        </div>
      </div>
      <div class="box-input row">
        <label>Licence expiry date <span class="erro-msg">*</span></label>
        <div class="dt-filter">
          <input type="text" class="form-control" [owlDateTime]="dt1" [ngModel]="extDriver.driver_licence_expiry_date"
            name="driver_licence_expiry_date" [min]="min" [owlDateTimeTrigger]="dt1" ngModel readonly />
          <owl-date-time #dt1></owl-date-time>
        </div>
      </div>
      <div class="box-input row">
        <label>Licence issue date <span class="erro-msg">*</span></label>
        <div class="dt-filter">
          <input type="text" class="form-control" [owlDateTime]="dt2" [ngModel]="extDriver.driver_licence_issue_date"
            name="driver_licence_issue_date" [max]="max" [owlDateTimeTrigger]="dt2" ngModel readonly />
          <owl-date-time #dt2></owl-date-time>
        </div>
      </div>
      <div class="box-input row">
        <label>Emirates ID number</label>
        <input type="text" class="form-control" [ngModel]="extDriver.emirates_id" name="emirates_id" ngModel />
      </div>
      <div class="box-input row">
        <label>Emirates ID expiry date</label>
        <div class="dt-filter">
          <input type="text" class="form-control" [owlDateTime]="dt6" [ngModel]="extDriver.emirates_id_expiry"
            name="emirates_id_expiry" [min]="max" [owlDateTimeTrigger]="dt6" ngModel readonly />
          <owl-date-time #dt6></owl-date-time>
        </div>
      </div>
      <div class="box-input row">
        <label>RTA permit number <span class="erro-msg">*</span></label>
        <input type="text" class="form-control" autocomplete="new-username"
        [(ngModel)]="extDriver.permit_number" name="permit_number" ngModel required/>
      </div>
      <div class="box-input row">
        <label>RTA permit expiry date <span class="erro-msg">*</span></label>
        <div class="dt-filter">
          <input type="text" class="form-control" [owlDateTime]="dt7" [ngModel]="extDriver.permit_expiry_date"
            name="permit_expiry_date" [min]="max" [owlDateTimeTrigger]="dt7" ngModel readonly required/>
          <owl-date-time #dt7></owl-date-time>
        </div>
      </div>
      <div class="box-input row">
        <label>Place of issue</label>
        <input type="text" class="form-control" [ngModel]="extDriver.driver_license_place_of_issue"
          name="driver_license_place_of_issue" ngModel />
      </div>
      <div class="box-input row">
        <label>Driver licensing authority</label>
        <input type="text" class="form-control" [ngModel]="extDriver.driver_licensing_authority"
          name="driver_licensing_authority" ngModel />
      </div>
      <div class="text-center button-body row" *ngIf="extDriver.training_completed!=='1'">
        <span class="error-msg" *ngIf="invalid;else break">{{invalid}}<br /></span>
        <ng-template #break><br /></ng-template>
        <button type="submit" class="btn blue btn-block"
          [disabled]="extDriver.is_notified=='0' || isLoading || signup.invalid || extDriver.driver_id">Update</button>
      </div>
      <br />
    </form>
  </div>

  <div *ngIf="data.type == 'vehicle'">
    <div class="col-md-6">
      <img matTooltip="Click to rotate" [@rotatedState]='state' class="image" [src]="data.event" alt="Customers profile pic" (click)="rotate()">
    </div>
    <form #signup2="ngForm" class="col-md-6" (ngSubmit)="submitVehicleForm(signup2.value)">
      <div class="col-md-6">
        <div class="box-input row mt-3">
          <label>Vehicle identity number (Side No)<span class="erro-msg">*</span></label>
          <input type="text" class="form-control" [(ngModel)]="extDriver.vehicle_identity_number" autocomplete="off"
            name="vehicle_identity_number" ngModel />
        </div>
        <div class="box-input row mt-3">
          <label>Traffic plate number <span class="erro-msg">*</span></label>
          <input type="text" class="form-control" [(ngModel)]="extDriver.traffic_plate_number" autocomplete="off"
            name="traffic_plate_number" ngModel />
        </div>
        <div class="box-input row">
          <label>Vehicle tc number <span class="erro-msg">*</span></label>
          <input type="text" class="form-control" [(ngModel)]="extDriver.vehicle_tc_number" autocomplete="off"
            name="vehicle_tc_number" ngModel />
        </div>
        <div class="box-input row">
          <label>Vehicle expiry date <span class="erro-msg">*</span></label>
          <div class="dt-filter">
            <input type="text" class="form-control" [(ngModel)]="extDriver.vehicle_expiry_date" [owlDateTime]="dt3"
              [min]="min" name="vehicle_expiry_date" [owlDateTimeTrigger]="dt3" ngModel readonly />
            <owl-date-time #dt3></owl-date-time>
          </div>
        </div>
        <div class="box-input row mt-3">
          <label>Vehicle insurance number</label>
          <input type="text" class="form-control" [(ngModel)]="extDriver.vehicle_policy_number"
            autocomplete="new-username" name="vehicle_policy_number" ngModel />
        </div>
        <div class="box-input row mt-3">
          <label>Vehicle insurance expiry</label>
          <input type="text" class="form-control" [owlDateTime]="dt8" [ngModel]="extDriver.vehicle_insurance_expiry_date"
          name="vehicle_insurance_expiry_date" [min]="max" [owlDateTimeTrigger]="dt8" ngModel readonly required/>
          <owl-date-time #dt8></owl-date-time>
        </div>
  
        <div class="box-input row mt-3">
          <label>Vehicle type <span class="erro-msg">*</span></label>
          <select class="form-control" [(ngModel)]="extDriver.vehicle_model" name="vehicle_model" ngModel>
            <option *ngFor="let model of vehicleModelData" [value]="model._id">{{model.name}}</option>
          </select>
        </div>
        <div class="box-input row mt-3">
          <label>Vehicle color <span class="erro-msg">*</span></label>
          <input type="text" class="form-control" [(ngModel)]="extDriver.vehicle_color"
            autocomplete="new-username" name="vehicle_color" ngModel />
        </div>
        <div class="box-input row">
          <label>Vehicle owner</label>
          <input type="text" class="form-control" [ngModel]="extDriver.vehicle_owner" name="vehicle_owner" ngModel required/>
        </div>
        <div class="box-input row">
          <label>Vehicle registration date <span class="erro-msg">*</span></label>
          <input type="text" class="form-control" [max]="min" [(ngModel)]="extDriver.vehicle_registration_date"
            [owlDateTime]="dt5" [owlDateTimeTrigger]="dt5" name="vehicle_registration_date" ngModel readonly />
          <owl-date-time #dt5></owl-date-time>
        </div>
      </div>
      <div class="col-md-6">
        <div class="box-input row">
          <label>Vehicle origin</label>
          <input type="text" class="form-control" name="vehicle_origin" [ngModel]="extDriver.vehicle_origin" ngModel />
        </div>
        <div class="box-input row">
          <label>Vehicle model</label>
          <input type="text" class="form-control" name="vehicle_type" [ngModel]="extDriver.vehicle_type" ngModel />
        </div>
        <div class="box-input row">
          <label>Vehicle gvw</label>
          <input type="text" class="form-control" name="vehicle_gvw" [ngModel]="extDriver.vehicle_gvw" ngModel />
        </div>
        <div class="box-input row">
          <label>Vehicle weight</label>
          <input type="text" class="form-control" name="vehicle_weight" [ngModel]="extDriver.vehicle_weight" ngModel />
        </div>
        <div class="box-input row">
          <label>Vehicle engine number</label>
          <input type="text" class="form-control" name="vehicle_engine_number"
            [ngModel]="extDriver.vehicle_engine_number" ngModel />
        </div>
        <div class="box-input row">
          <label>Vehicle chassis number</label>
          <input type="text" class="form-control" name="vehicle_chasis_number"
            [ngModel]="extDriver.vehicle_chasis_number" ngModel />
        </div>
        <div class="box-input row">
          <label>Vehicle licencing authority</label>
          <input type="text" class="form-control" name="vehicle_licensing_authority"
            [ngModel]="extDriver.vehicle_licensing_authority" ngModel />
        </div>
      </div>

      <div class="text-center button-body row" *ngIf="extDriver.training_completed!=='1' || extDriver.onboarding_status=='2'">
        <span class="error-msg" *ngIf="invalid2;else break">{{invalid2}}<br /></span>
        <ng-template #break><br /></ng-template>
        <button type="submit" class="btn blue btn-block"
          [disabled]="extDriver.is_notified=='0' || isLoading || signup2.invalid || (extDriver.vehicle_id && extDriver.onboarding_status!='2')">Update</button>
      </div>
      <br />
    </form>
  </div>
</div>